Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class NamedObjectTreeNode

    java.lang.Object
      com.huguesjohnson.tiamat.TreeNode
          com.huguesjohnson.tiamat.NamedObjectTreeNode

All Implemented Interfaces:
  Storable

    public class NamedObjectTreeNode

extends TreeNode

NamedObjectTreeNode - implementation of a TreeNode that stored NamedObjects

Author:
  Hugues Johnson

Field Summary

Fields inherited from class com.huguesjohnson.tiamat.TreeNode
`DEFAULT_PATH_DELIMITER`

Constructor Summary
`NamedObjectTreeNode(NamedObject namedObject)` Create new instance of NamedObjectTreeNode, uses TreeNode.DEFAULT_PATH_DELIMITER.
`NamedObjectTreeNode(NamedObject namedObject, NamedObjectTreeNode parent)` Create new instance of NamedObjectTreeNode, uses TreeNode.DEFAULT_PATH_DELIMITER.
`NamedObjectTreeNode(NamedObject namedObject, java.lang.String pathDelimiter)` Create new instance of NamedObjectTreeNode.
`NamedObjectTreeNode(NamedObject namedObject, java.lang.String pathDelimiter, NamedObjectTreeNode parent)` Create new instance of NamedObjectTreeNode.

Method Summary
`java.lang.String` | `getName()` Returns the name of this TreeNode.
`void` | `setName(java.lang.String name)` Sets the name of this TreeNode.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class com.huguesjohnson.tiamat.TreeNode
`addChild, getChild, getChildLeafCount, getChildLeaves, getChildNode, getChildNodeCount, getChildren, getObject, getParent, getPath, getPathDelimiter, insertChildNode, isLeaf, isRoot, onDeserialize, removeChildNode, setChild, setChildren, setObject, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject)

  Create new instance of NamedObjectTreeNode, uses TreeNode.DEFAULT_PATH_DELIMITER.

  Parameters:
    `namedObject` - The NamedObject stored in TreeNode.

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject,
                               java.lang.String pathDelimiter)

  Create new instance of NamedObjectTreeNode.

  Parameters:
    `namedObject` - The NamedObject stored in TreeNode.
    `pathDelimiter` - The path delimiter to use.

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject,
                               NamedObjectTreeNode parent)

  Create new instance of NamedObjectTreeNode, uses TreeNode.DEFAULT_PATH_DELIMITER.

  Parameters:
    `namedObject` - The NamedObject stored in TreeNode.
    `parent` - The parent to this TreeNode.

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject,
                               java.lang.String pathDelimiter,
                               NamedObjectTreeNode parent)

  Create new instance of NamedObjectTreeNode.

  Parameters:
    `namedObject` - The NamedObject stored in TreeNode.
    `parent` - The parent to this TreeNode.
    `pathDelimiter` - The path delimiter to use.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `TreeNode`
  Returns the name of this TreeNode.

  Overrides:
    `getName` in class `TreeNode`
  Returns:
    The name of this TreeNode.

### setName

    public void setName(java.lang.String name)

  Description copied from class: `TreeNode`
  Sets the name of this TreeNode.

  Overrides:
    `setName` in class `TreeNode`
  Parameters:
    `name` - The new name of this TreeNode.

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `TreeNode`
  Returns:
    A string representation of the object.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson